## Apache Zeta Components Manual :: Docs For Class ezcFeedParser

### Feed::ezcFeedParser

### Interface ezcFeedParser

Interface for feed parsers.

Currently implemented for these feed types:

- RSS1 (ezcFeedRss1)
- RSS2 (ezcFeedRss2)
- ATOM (ezcFeedAtom)

The implementing classes must implement these methods:

- canParse() - Returns true if the class can parse the provided XML document.
- parse() - Parse the provided XML document and return an ezcFeed object.

Source for this file: /Feed/src/interfaces/parser.php

Version: | //autogentag//

### Method Summary

public static bool | `canParse( $xml )` Returns true if the parser can parse the provided XML document object, false otherwise.
public ezcFeed | `parse( $xml )` Parses the provided XML document object and returns an ezcFeed object from it.

### Methods

#### canParse

static bool canParse( $xml )

Returns true if the parser can parse the provided XML document object, false otherwise.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$xml` | DOMDocument | The XML document object to check for parseability

#### parse

ezcFeed parse( $xml )

Parses the provided XML document object and returns an ezcFeed object from it.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$xml` | DOMDocument | The XML document object to parse

##### Exceptions:

Type | Description
--- | ---
`ezcFeedParseErrorException` | If an error was encountered during parsing.

Documentation generated by phpDocumentor 1.4.3